<template>
    <div>
        
        <b-table responsive="sm"                
                hover sticky-header
                primary-key="id"        
                :items="influencers" 
                :fields="fields">
                

            <!-- тут компоненты на отрисовку отдельной ячейки -->
            <template v-slot:cell(fullName)="data">
              <Avatar :influencer='data.item'/>              
            </template>

        </b-table>
        
    </div>    
</template>

<script>


import Avatar from "./Influencer/Avatar";

export default {
  name: 'InfluencersList',
  components: {
    Avatar,
  },
  data() {
    return {  
        fields: [ 
            {
                key: 'fullName',
                sortable: true,
                label: 'Имя',
            },
            {
                key: 'followers',
                sortable: true,
                label: 'Подписчиков',
            },
            {
                key: 'rate',
                sortable: true,
                label: 'Рейтинг',
            },            
        ],      
    };
  },
  computed: {
    influencers() {
      return this.$store.state.influencers;
    }
  },
  mounted() {
      this.$store.dispatch("getInfluensers");      
  },
}
</script>

